## ghp-import 2.1.0

=== Makefile ===
DOCS_BRANCH := gh-pages
DOCS_REMOTE := origin
DOCS_OPTS := -p

install:
	pip install -e .[dev]

lint:
	flake8 ./ghp_import.py ./setup.py ./docs/build.py

docs:
	python ./docs/build.py
	ghp-import $(DOCS_OPTS) docs/ -b $(DOCS_BRANCH) -r $(DOCS_REMOTE) -m "Update docs [skip ci]" -o

clean:
	python -c "import os; os.remove(os.path.join('docs', 'index.html'))"
	git branch -D $(DOCS_BRANCH)
	git push $(DOCS_REMOTE) --delete $(DOCS_BRANCH)

release:
	python setup.py sdist bdist_wheel
	twine upload --skip-existing --non-interactive ./dist/*

.PHONY: docs lint install clean release

## ghp-import 0.4.1

=== debian/changelog ===
ghp-import (0.4.1-1) unstable; urgency=low

  * Initial release (Closes: #753962).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Mon, 04 Aug 2014 21:09:49 -0400

=== debian/control ===
Source: ghp-import
Section: python
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
Build-Depends: debhelper (>= 9.0.0),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-setuptools
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/ghp-import/trunk/
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/ghp-import/trunk/
Homepage: https://github.com/davisp/ghp-import

Package: ghp-import
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Enhances: python-pelican
Description: Easily import docs to your gh-pages branch
 ghp-import is a Python script meant to make using GitHub's gh-pages
 branches for hosting documentation simple.
 .
 Inside your repository just run `ghp-import $DOCS_DIR` where $DOCS_DIR
 is the path to the built documentation. This will write a commit to your
 gh-pages branch with the current documents in it.

## ghp-import 0.5.4

=== debian/changelog ===
ghp-import (0.5.4-1) unstable; urgency=medium

  * New upstream release.
  * Package should be Architecture: all.
  * Bump Standards-Version to 3.9.8.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 24 Dec 2016 14:09:30 -0500

## ghp-import 0.5.5

=== debian/changelog ===
ghp-import (0.5.5-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Wed, 15 Sep 2021 00:08:24 -0400

ghp-import (0.5.5-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Switch to python3; Closes: #936610
  * debian/control
    - update Enhances to `pelican`
    - bump Standards-Version to 4.4.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Tue, 24 Dec 2019 20:43:26 -0500

ghp-import (0.5.5-1) unstable; urgency=medium

  * New upstream release

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 02 Jul 2017 18:30:33 -0500

=== debian/control ===
Source: ghp-import
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3,
               python3-setuptools
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/ghp-import
Vcs-Git: https://salsa.debian.org/python-team/packages/ghp-import.git
Homepage: https://github.com/davisp/ghp-import

Package: ghp-import
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Enhances: pelican
Description: Easily import docs to your gh-pages branch
 ghp-import is a Python script meant to make using GitHub's gh-pages
 branches for hosting documentation simple.
 .
 Inside your repository just run `ghp-import $DOCS_DIR` where $DOCS_DIR
 is the path to the built documentation. This will write a commit to your
 gh-pages branch with the current documents in it.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|dev|a|b|c)/~$1/ \
https://pypi.python.org/packages/source/g/ghp-import/ghp-import-(.*)\.(?:tar\.gz|zip|tar\.bz2)

## ghp-import 2.0.2

=== debian/changelog ===
ghp-import (2.0.2-1) unstable; urgency=medium

  * Team upload
  * d/gbp.conf: Extend some more default content
  * d/watch: Update to version 4, use GH project to scan
  * New upstream version 2.0.2
  * d/copyright: Update content
  * d/control: Run wrap-and-sort -ast
  * d/control: Bump debhelper version to 13
  * d/control: Adding entry Rules-Requires-Root: no
  * d/control: Update Standards-Version to 4.6.0
    No further changes needed.
  * d/control: Add B-D for using poetry and pyproject

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 25 Feb 2022 16:08:26 +0100

=== debian/control ===
Source: ghp-import
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andrew Starr-Bochicchio <asb@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 python3,
Build-Depends-Indep:
 dh-python,
 pybuild-plugin-pyproject,
 python3-poetry,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/ghp-import
Vcs-Git: https://salsa.debian.org/python-team/packages/ghp-import.git
Homepage: https://github.com/davisp/ghp-import

Package: ghp-import
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Enhances:
 pelican,
Description: Easily import docs to your gh-pages branch
 ghp-import is a Python script meant to make using GitHub's gh-pages
 branches for hosting documentation simple.
 .
 Inside your repository just run `ghp-import $DOCS_DIR` where $DOCS_DIR
 is the path to the built documentation. This will write a commit to your
 gh-pages branch with the current documents in it.

## ghp-import 2.1.0

=== debian/changelog ===
ghp-import (2.1.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * [292e17a] Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 22:11:51 +0100

ghp-import (2.1.0-2) unstable; urgency=medium

  * Team upload
  * d/control: Add setuptools to Build-Depends
    (Closes: #1020059)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 28 Sep 2022 17:25:48 +0200

ghp-import (2.1.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.1.0
  * d/control: Update Standards-Version to 4.6.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 17 May 2022 20:10:30 +0200

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,9 @@
  dh-python,
  pybuild-plugin-pyproject,
  python3-poetry,
+ python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/ghp-import
 Vcs-Git: https://salsa.debian.org/python-team/packages/ghp-import.git
 Homepage: https://github.com/davisp/ghp-import

=== debian/watch ===
# watch file for ghp-import

version=4

opts="mode=git, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/c-w/ghp-import.git \
      refs/tags/@ANY_VERSION@
